https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipientsAdds one or more recipients to an envelope. For an in-process envelope, one that has been sent and has not been completed or voided, an email is sent to a new recipient when they are reached in the routing order. If the new recipient's routing order is before or the same as the envelope's next recipient, an email is only sent if the optional `resend_envelope` query string is set to **true.** **Note:** This method works on recipients only. To add recipient tabs, use methods from the [EnvelopeRecipientTabs][recipientTabs] resource. For example, this request body will add a recipient (`astanton@example.com`) but **NOT** the Sign Here recipient tab. ```json { "signers": [ { "email": "astanton@example.com", "name": "Anne Stanton", "recipientId": "1", "tabs": { // These tabs will NOT be added "signHereTabs": [ // with this method. See note above. { "anchorString": "below", "tooltip": "please sign here" }, . . . ] } } ] } ``` [recipientTabs]: /docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/ ### Related topics - How to bulk send envelopes - How to request a signature by email - How to request a signature through your app
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
When **true,** forces the envelope to be resent if it would not be resent otherwise. Ordinarily, if the recipient's routing order is before or the same as the envelope's next recipient, the envelope is not resent. Setting this query parameter to **false** has no effect and is the same as omitting it altogether.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipientsAdds one or more recipients to an envelope. For an in-process envelope, one that has been sent and has not been completed or voided, an email is sent to a new recipient when they are reached in the routing order. If the new recipient's routing order is before or the same as the envelope's next recipient, an email is only sent if the optional `resend_envelope` query string is set to **true.** **Note:** This method works on recipients only. To add recipient tabs, use methods from the [EnvelopeRecipientTabs][recipientTabs] resource. For example, this request body will add a recipient (`astanton@example.com`) but **NOT** the Sign Here recipient tab. ```json { "signers": [ { "email": "astanton@example.com", "name": "Anne Stanton", "recipientId": "1", "tabs": { // These tabs will NOT be added "signHereTabs": [ // with this method. See note above. { "anchorString": "below", "tooltip": "please sign here" }, . . . ] } } ] } ``` [recipientTabs]: /docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/ ### Related topics - How to bulk send envelopes - How to request a signature by email - How to request a signature through your app
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
When **true,** forces the envelope to be resent if it would not be resent otherwise. Ordinarily, if the recipient's routing order is before or the same as the envelope's next recipient, the envelope is not resent. Setting this query parameter to **false** has no effect and is the same as omitting it altogether.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}